<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


namespace Kufer\Web\KuferTools\Basis\KursUebersicht\Detailsreiter\Honorar\AddDozent;

abstract class AddDozentController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getRequestObj()
  {
    $requestObj = new AddDozentRequest();
    $requestObj->dozId = \PostOperations::getVarValue('dozId', '');
    $requestObj->knr = \RequestOperations::getVarValue('knr');

    $action = $this->getActionVal(); 

    return $this->handleXsrf($requestObj, $action, $requestObj->knr);
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }
}